package com.multictrl.modules.business.service;

import com.multictrl.common.page.PageData;
import com.multictrl.common.service.CrudService;
import com.multictrl.modules.business.dao.RemoteLogDao;
import com.multictrl.modules.business.dto.RemoteLogDTO;
import com.multictrl.modules.business.dto.remote.log.SyncRemoteLog;
import com.multictrl.modules.business.dto.remote.log.RemoteLog;
import com.multictrl.modules.business.entity.RemoteLogEntity;

import java.util.List;
import java.util.Map;

/**
 * 远程日志
 *
 * @author Sdy
 * @since 1.0.0 2026/5/10
 */
public interface RemoteLogService extends CrudService<RemoteLogEntity, RemoteLogDTO> {

    //远程日志列表
    List<RemoteLog> getRemoteLogList(String dockSn, String module);

    //同步远程日志
    String syncRemoteLog(String dockSn, SyncRemoteLog remoteLog);

    //取消日志同步
    String cancelSyncRemoteLog(String dockSn, String module);

    //分页查询
    PageData<RemoteLogDTO> queryPage(Map<String, Object> params);

    //获取dao
    RemoteLogDao getDao();
}
